/*
 * Created by IntelliJ IDEA.
 * User: Jacques
 * Date: Sep 7, 2002
 * Time: 12:19:52 AM
 * To change template for new class use
 * Code Style | Class Templates options (Tools | IDE Options).
 */
package org.intellij.openapi.testing;

import com.intellij.openapi.project.Project;
import com.intellij.openapi.vfs.VirtualFile;

public class MockProject  extends MockUserDataHolder implements Project {
   ComponentManagerImpl manager = new ComponentManagerImpl();
   public VirtualFile getProjectFile() {
      return new MockVirtualFile("mock project", false);
   }

   public VirtualFile getWorkspaceFile() {
      return null;
   }

   public void save() {
   }

   public Object getComponent(Class aClass) {
      return manager.getComponent(aClass);
   }

   public Object getComponent(Class interfaceClass, Object defaultImplementationIfAbsent) {
      Object component = manager.getComponent(interfaceClass);
      if (component == null)
         component =  defaultImplementationIfAbsent;
      return component;
   }

   public Class[] getComponentInterfaces() {
      return manager.getComponentInterfaces() ;
   }

   public Object[] getComponents(Class aClass) {
      return manager.getComponents(aClass);
   }

   public boolean hasComponent(Class aClass) {
      return manager.hasComponent(aClass);
   }

   public void addComponent(Object component) {
      manager.addComponent(component);
   }

   public String getName() { return null; }

   public String getProjectFilePath() { return null; }

   public boolean isDisposed() {
      return false;
   }

   public boolean isOpen() {
      return false;
   }

   public boolean isInitialized() {
      return false;
   }

   public boolean isDefault() {
      return false;
   }

}
