/*
 * Created by IntelliJ IDEA.
 * User: Jacques
 * Date: Sep 11, 2002
 * Time: 8:53:13 PM
 * To change template for new class use
 * Code Style | Class Templates options (Tools | IDE Options).
 */
package org.intellij.openapi.testing;

import com.intellij.openapi.application.Application;
import com.intellij.openapi.application.ApplicationListener;
import com.intellij.openapi.application.ModalityState;
import com.intellij.openapi.project.Project;
import com.intellij.openapi.util.Computable;
import com.intellij.openapi.util.Key;

import java.awt.*;


public class MockApplication extends MockUserDataHolder implements Application {
   private ComponentManagerImpl manager = createComponentManagerImpl();

   private ComponentManagerImpl createComponentManagerImpl() {
      ComponentManagerImpl manager = new ComponentManagerImpl();
      manager.addComponent(new MockPeerFactory());
      return manager;
   }

   public void runReadAction(Runnable runnable) {
      runnable.run();
   }

   public void runWriteAction(Runnable runnable) {
      runnable.run();
   }

   public Object getCurrentWriteAction(Class aClass) {
      return null;
   }

   public /*<T> T*/Object runReadAction(Computable/*<T>*/ computation) {
      return null;
   }

   public /*<T> T*/Object runWriteAction(Computable/*<T>*/ computation) {
      return null;
   }

   public boolean isWriteAccessAllowed() {
      return false;
   }

   public void assertReadAccessAllowed() {
   }

   public void assertWriteAccessAllowed() {
   }

   public void assertIsDispatchThread() {
   }

   public void addApplicationListener(ApplicationListener applicationListener) {
   }

   public void removeApplicationListener(ApplicationListener applicationListener) {
   }

   public void saveAll() {
   }

   public void saveSettings() {
   }

   public void exit() {
   }

   public /*<T> T*/ Object getUserData(Key/*<T>*/ key) {return null;
   }

   public Object getComponent(Class aClass) {
      return manager.getComponent(aClass);
   }

   public Class[] getComponentInterfaces() {
      return manager.getComponentInterfaces() ;
   }

   public Object[] getComponents(Class aClass) {
      return manager.getComponents(aClass);
   }

   public boolean hasComponent(Class aClass) {
      return manager.hasComponent(aClass);
   }

   public void addComponent(Object component) {
      manager.addComponent(component);
   }

   public void invokeLater(Runnable runnable) {
   }

   public void invokeLater(Runnable runnable,
                           ModalityState modalityState) {
   }

   public void invokeAndWait(Runnable runnable,
                             ModalityState modalityState) {
   }

   public ModalityState getCurrentModalityState() {
      return null;
   }

   public ModalityState getModalityStateForComponent(Component component) {
      return null;
   }

   public ModalityState getDefaultModalityState() {
      return null;
   }

   public ModalityState getNoneModalityState() {
      return null;
   }

   public long getStartTime() {
      return 0;
   }

   public long getIdleTime() {
      return 0;
   }

   public boolean isUnitTestMode() {
      return false;
   }

   public boolean isDispatchThread() {
      return false;
   }

   public Object getComponent(Class aClass,
                              Object o) {
      return null;
   }

   public boolean runProcessWithProgressSynchronously(Runnable runnable,
                                                      String s,
                                                      boolean b,
                                                      Project project) {
      return false;
   }

}
